/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import java.util.Collection;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.JoinColumns;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.TARMPREGUNTAS")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tarmpreguntas.findAll", query = "SELECT t FROM Tarmpreguntas t"),
    @NamedQuery(name = "Tarmpreguntas.findByCpregunta", query = "SELECT t FROM Tarmpreguntas t WHERE t.cpregunta = :cpregunta"),
    @NamedQuery(name = "Tarmpreguntas.findByDescripcion", query = "SELECT t FROM Tarmpreguntas t WHERE t.descripcion = :descripcion"),
    @NamedQuery(name = "Tarmpreguntas.findByNumeropregunta", query = "SELECT t FROM Tarmpreguntas t WHERE t.numeropregunta = :numeropregunta"),
    @NamedQuery(name = "Tarmpreguntas.findByEstadopregunta", query = "SELECT t FROM Tarmpreguntas t WHERE t.estadopregunta = :estadopregunta"),
    @NamedQuery(name = "Tarmpreguntas.findByEstadopreguntacodigo", query = "SELECT t FROM Tarmpreguntas t WHERE t.estadopreguntacodigo = :estadopreguntacodigo")})
public class Tarmpreguntas implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "CPREGUNTA")
    private Integer cpregunta;
    @Column(name = "DESCRIPCION")
    private String descripcion;
    @Column(name = "NUMEROPREGUNTA")
    private Short numeropregunta;
    @Column(name = "ESTADOPREGUNTA")
    private String estadopregunta;
    @Column(name = "ESTADOPREGUNTACODIGO")
    private String estadopreguntacodigo;
    @OneToMany(mappedBy = "cpregunta")
    private Collection<Tarmdetallepreguntas> tarmdetallepreguntasCollection;
    @OneToMany(mappedBy = "cpregunta")
    private Collection<Tarmrespuestas> tarmrespuestasCollection;
    @JoinColumns({
        @JoinColumn(name = "TIPOPERSONA", referencedColumnName = "CATALOG"),
        @JoinColumn(name = "TIPOPERSONACODIGO", referencedColumnName = "CATALOGCODE")})
    @ManyToOne
    private Tgenecatalogdetail tgenecatalogdetail;
    @JoinColumns({
        @JoinColumn(name = "TIPOEVALUACION", referencedColumnName = "CATALOG"),
        @JoinColumn(name = "TIPOEVALUACIONCODIGO", referencedColumnName = "CATALOGCODE")})
    @ManyToOne
    private Tgenecatalogdetail tgenecatalogdetail1;

    public Tarmpreguntas() {
    }

    public Tarmpreguntas(Integer cpregunta) {
        this.cpregunta = cpregunta;
    }

    public Integer getCpregunta() {
        return cpregunta;
    }

    public void setCpregunta(Integer cpregunta) {
        this.cpregunta = cpregunta;
    }

    public String getDescripcion() {
        return descripcion;
    }

    public void setDescripcion(String descripcion) {
        this.descripcion = descripcion;
    }

    public Short getNumeropregunta() {
        return numeropregunta;
    }

    public void setNumeropregunta(Short numeropregunta) {
        this.numeropregunta = numeropregunta;
    }

    public String getEstadopregunta() {
        return estadopregunta;
    }

    public void setEstadopregunta(String estadopregunta) {
        this.estadopregunta = estadopregunta;
    }

    public String getEstadopreguntacodigo() {
        return estadopreguntacodigo;
    }

    public void setEstadopreguntacodigo(String estadopreguntacodigo) {
        this.estadopreguntacodigo = estadopreguntacodigo;
    }

    @XmlTransient
    public Collection<Tarmdetallepreguntas> getTarmdetallepreguntasCollection() {
        return tarmdetallepreguntasCollection;
    }

    public void setTarmdetallepreguntasCollection(Collection<Tarmdetallepreguntas> tarmdetallepreguntasCollection) {
        this.tarmdetallepreguntasCollection = tarmdetallepreguntasCollection;
    }

    @XmlTransient
    public Collection<Tarmrespuestas> getTarmrespuestasCollection() {
        return tarmrespuestasCollection;
    }

    public void setTarmrespuestasCollection(Collection<Tarmrespuestas> tarmrespuestasCollection) {
        this.tarmrespuestasCollection = tarmrespuestasCollection;
    }

    public Tgenecatalogdetail getTgenecatalogdetail() {
        return tgenecatalogdetail;
    }

    public void setTgenecatalogdetail(Tgenecatalogdetail tgenecatalogdetail) {
        this.tgenecatalogdetail = tgenecatalogdetail;
    }

    public Tgenecatalogdetail getTgenecatalogdetail1() {
        return tgenecatalogdetail1;
    }

    public void setTgenecatalogdetail1(Tgenecatalogdetail tgenecatalogdetail1) {
        this.tgenecatalogdetail1 = tgenecatalogdetail1;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (cpregunta != null ? cpregunta.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tarmpreguntas)) {
            return false;
        }
        Tarmpreguntas other = (Tarmpreguntas) object;
        if ((this.cpregunta == null && other.cpregunta != null) || (this.cpregunta != null && !this.cpregunta.equals(other.cpregunta))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.Tarmpreguntas[ cpregunta=" + cpregunta + " ]";
    }
    
}
